@import "assets";

body {
  padding: 20px;
  header {
    text-align: center;
    margin-bottom: 20px;
    border-bottom: 1px solid #111827;
    nav {
      @include basic-font-family;
      @include basic-font-size;
      margin-bottom: 20px;
      a {
        text-decoration: none;
        &:hover {
          text-decoration: underline;
        }
      }
    }
  }
  main {
    @include flex(1 0 auto);
    @include basic-font-family;
    @include basic-font-size;
    h1,
    h2,
    h3 {
      margin-bottom: 20px;
    }
    h1 {
      font-size: 1.8rem;
    }
    h2 {
      font-size: 1.6rem;
    }
    h3 {
      font-size: 1.4rem;
    }
  }
  footer {
    text-align: center;
    margin-top: 20px;
    padding-top: 20px;
    border-top: 1px solid #111827;
    @include basic-font-family;
    @include basic-font-size;
    a {
      text-decoration: none;
      &:hover {
        text-decoration: underline;
      }
    }
  }
}

@media (prefers-color-scheme: dark) {
  body {
    header {
      border-bottom: 1px solid #fff;
    }
    footer {
      border-top: 1px solid #fff;
    }
  }
}
